#include "color.h"

void Color::clampTo01() {
	if(red > 1.0f) red = 1.0f;
	else if(red < 0.0f) red = 0.0f;
	if(green > 1.0f) green = 1.0f;
	else if(green < 0.0f) green = 0.0f;
	if(blue > 1.0f) blue = 1.0f;
	else if(blue < 0.0f) blue = 0.0f;
	if(alpha > 1.0f) alpha = 1.0f;
	else if(alpha < 0.0f) alpha = 0.0f;
}

Color operator*(float factor, const Color& col) {
	return Color(col.red * factor, col.green * factor, col.blue * factor);
}